%define oname PlayOnLinux

%define _requires_exceptions /usr/bin/python

Summary:	Play your Windows games on Linux
Name:		playonlinux
Version:	3.0.8
Release:	%mkrel 5
License:	GPLv3
Group:		Games/Other
Url:		http://www.playonlinux.com
Source0:	http://www.playonlinux.com/script_files/%{oname}/%{version}/%{oname}_%{version}.tar.gz
Source1:	playonlinux
BuildRequires:	desktop-file-utils
Requires:	wxPythonGTK
Requires:	imagemagick
Requires:	wget
Requires:	gettext
Requires:	unzip
Requires:	cabextract
Requires:	lzma
Requires:	xterm
Requires:	wine
Requires:	mesa-demos
%py_requires
# for ar
Requires:	binutils
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
PlayOnLinux is a piece of sofware which allow you to install 
and use easily numerous games and softwares designed to run 
with Microsoft(R)'s Windows(R).Indeed, currently, still few 
games are compatible with GNU/Linux, and it could be a factor 
preventing from migrate to this system. PlayOnLinux brings an 
accessible and efficient solution to this problem, cost-free 
and rescpetful of the free softwares.

%prep
%setup -q -n %{name}

%install
rm -rf %{buildroot}
mkdir %{buildroot}
mkdir -p %{buildroot}%{_bindir}/
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/desktop-directories
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps

cp -a * %{buildroot}%{_datadir}/%{name}

install -p %{SOURCE1} %{buildroot}%{_bindir}/
rm %{buildroot}%{_datadir}/%{name}/LICENCE
cp etc/PlayOnLinux.desktop %{buildroot}%{_datadir}/applications/%{oname}.desktop
cp  %{buildroot}%{_datadir}/%{name}/etc/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
cp %{buildroot}%{_datadir}/%{name}/etc/PlayOnLinux.directory %{buildroot}%{_datadir}/desktop-directories/%{oname}.directory

desktop-file-install \
	--add-category="Game" \
	--remove-category="%{oname}" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*  

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENCE CHANGELOG
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{oname}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/desktop-directories/%{oname}.directory


%changelog
* Thu Apr 30 2009 Frederic Crozat <fcrozat@mandriva.com> 3.0.8-5mdv2009.0
+ Revision: 369166
- Really fix bug 49864
- Remove file requires on python2.5, it is breaking updates (Mdv bug #49864)

* Thu Jul 10 2008 Olivier Blin <oblin@mandriva.com> 3.0.8-3mdv2009.0
+ Revision: 233490
- do not untar the main source two times
- improve helper (use sh, do not fork, keep return code)
- python-devel is not required to build
- require wxPythonGTK
- gnome-python-extras/pygtk2.0/python-dbus are not used anymore

* Thu Jul 10 2008 Olivier Blin <oblin@mandriva.com> 3.0.8-2mdv2009.0
+ Revision: 233481
- require mesa-demos (for glxinfo)
- require cabextract and lzma
- require binutils for ar

* Thu Jul 03 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.0.8-1mdv2009.0
+ Revision: 231165
- update to new version 3.0.8

* Wed Jun 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.0.7-1mdv2009.0
+ Revision: 228894
- update to new version 3.0.7

* Mon Jun 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 3.0.4-1mdv2009.0
+ Revision: 219635
- add source and spec file
- Created package structure for playonlinux.

